﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Treemap.ItemsSource = GenerateData();

        }

       
        private List<Level1> GenerateData()
        {
            List<Level3> list31 = new List<Level3>();
            list31.Add(new Level3 { Label = "Level3Node1", Value = 1 });
            list31.Add(new Level3 { Label = "Level3Node2", Value = 1 });

            List<Level3> list32 = new List<Level3>();
            list32.Add(new Level3 { Label = "Level3Node3", Value = 1 });
            list32.Add(new Level3 { Label = "Level3Node4", Value = 1 });

            List<Level3> list33 = new List<Level3>();
            list33.Add(new Level3 { Label = "Level3Node5", Value = 1 });
            list33.Add(new Level3 { Label = "Level3Node6", Value = 1 });

            List<Level3> list34 = new List<Level3>();
            list34.Add(new Level3 { Label = "Level3Node7", Value = 1 });
            list34.Add(new Level3 { Label = "Level3Node8", Value = 1 });

            List<Level2> list21 = new List<Level2>();
            list21.Add(new Level2 { Label = "Level2Node1", Value = 1, Childs = list31 });
            list21.Add(new Level2 { Label = "Level2Node2", Value = 1, Childs = list32 });

            List<Level2> list22 = new List<Level2>();
            list22.Add(new Level2 { Label = "Level2Node3", Value = 1, Childs = list33 });
            list22.Add(new Level2 { Label = "Level2Node4", Value = 1, Childs = list34 });

            List<Level1> list = new List<Level1>();
            list.Add(new Level1 { Label = "Level1Node1", Value = 1, Childs = list21 });
            list.Add(new Level1 { Label = "Level1Node2", Value = 1, Childs = list22 });

            return list;
        }
    }

    public class Level1
    {
        public string Label { get; set; }
        public int Value { get; set; }
        public List<Level2> Childs { get; set; }
    }
    public class Level2
    {
        public string Label { get; set; }
        public int Value { get; set; }
        public List<Level3> Childs { get; set; }
    }
    public class Level3
    {
        public string Label { get; set; }
        public int Value { get; set; }
    }
}
